Docs
Assignment APIConfiguration

Retrieve the auto-assignment configuration

Security groups:Auto-assignment customizers
GET
/assignments/auto-assignment

Returns the current auto-assignment configuration for your account.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assignments/auto-assignment"
{
  "autoAssignmentConfigurations": {
    "strategyPriorityOrder": [
      "CUSTOMS-CODE",
      "DESCRIPTION",
      "CUSTOMER-RULE1"
    ],
    "stoppingRule": "ON-SUCCESS-RETURN"
  }
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}